function __processArg(obj, key) {
    var arg = null;
    if (obj) {
        arg = obj[key] || null;
        delete obj[key];
    }
    return arg;
}

function Controller() {
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "editable";
    this.args = arguments[0] || {};
    if (arguments[0]) {
        {
            __processArg(arguments[0], "__parentSymbol");
        }
        {
            __processArg(arguments[0], "$model");
        }
        {
            __processArg(arguments[0], "__itemTemplate");
        }
    }
    var $ = this;
    var exports = {};
    $.__views.editable = Ti.UI.createView({
        id: "editable"
    });
    $.__views.editable && $.addTopLevelView($.__views.editable);
    $.__views.textfield = Ti.UI.createTextField({
        top: 20,
        height: 50,
        backgroundColor: "#ccc",
        hintText: "textfield",
        id: "textfield"
    });
    $.__views.editable.add($.__views.textfield);
    $.__views.textarea = Ti.UI.createTextArea({
        id: "textarea"
    });
    $.__views.editable.add($.__views.textarea);
    $.__views.disable = Ti.UI.createLabel({
        width: Ti.UI.SIZE,
        height: 50,
        color: "#000",
        font: {
            fontSize: 20,
            fontFamily: "Helvetica Neue"
        },
        textAlign: "center",
        text: "disable inputs",
        id: "disable"
    });
    $.__views.editable.add($.__views.disable);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var enabled = false;
    $.disable.addEventListener("click", function() {
        $.textfield.editable = $.textarea.editable = enabled;
        $.disable.text = (enabled ? "dis" : "en") + "able inputs";
        enabled = !enabled;
    });
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;